package intrinsic.flash.geom;

public class Point extends Object {

	/** Accessors */
	public double length;

	/** Variables */
	public double x;
	public double y;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Point() {
}

public Point(double arg0) {
}

public Point(double arg0, double arg1) {
}


/** Static Methods */
public static native intrinsic.flash.geom.Point interpolate(intrinsic.flash.geom.Point arg0, intrinsic.flash.geom.Point arg1, double arg2);
public static native intrinsic.flash.geom.Point polar(double arg0, double arg1);
public static native double distance(intrinsic.flash.geom.Point arg0, intrinsic.flash.geom.Point arg1);

/** Methods */
public native void normalize(double arg0);
public native void offset(double arg0, double arg1);
public native intrinsic.flash.geom.Point add(intrinsic.flash.geom.Point arg0);
public native boolean equals(intrinsic.flash.geom.Point arg0);
public native String toString();
public native Object clone();
public native intrinsic.flash.geom.Point subtract(intrinsic.flash.geom.Point arg0);

}
